Package org.eigenbase.resgen

# Class Util.DummyPrintWriter

java.lang.Object
java.io.Writer
java.io.PrintWriter
org.eigenbase.resgen.Util.DummyPrintWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  `Util`

static class Util.DummyPrintWriter extends PrintWriter
So we know to avoid recursively calling `Util.printStackTrace(Throwable,java.io.PrintWriter)`.

## Field Summary

### Fields inherited from class java.io.PrintWriter

`out`

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`DummyPrintWriter(Writer out)`

## Method Summary

### Methods inherited from class java.io.PrintWriter

`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

### Methods inherited from class java.io.Writer

`nullWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyPrintWriter

public DummyPrintWriter(Writer out)